# Guess .tex file name
guessFilename = function() {
  allTex = list.files(pattern=".+[.]tex$")
  if (length(allTex) == 0) stop("no .tex files found in ", getwd())
  drop = sapply(allTex, function(f) {
                          t=readLines(f, warn=FALSE)
                          return(length(grep("[\\]begin[[:blank:]]*[{]document[}]",t))==0)
                        })
  possible = allTex[!drop]
  if (length(possible) == 0) {
    stop("no .tex files in ", getwd(), " have '\begin{document}")
  } else if (length(possible)==1) {
    toDo = possible
  } else {
    info = file.info(possible)
    info = info[order(info$mtime, decreasing=TRUE),]
    toDo = rownames(info)[1]
  }
  return(toDo)
}

